import type { ComputedGetter, ComputedRef, DebuggerOptions, Ref, UnwrapRef } from 'vue';
import { VueYandexMaps } from '../../namespace.ts';
import YandexMapException = VueYandexMaps.YandexMapException;
/**
 * @description Prevents memory leak on SSR when ref is called outside setup
 */
export declare function safeRef<T = any>(value: T): Ref<UnwrapRef<T>>;
/**
 * @description Prevents memory leak on SSR when computed is called outside setup
 */
export declare function safeComputed<T>(getter: ComputedGetter<T>, debugOptions?: DebuggerOptions): ComputedRef<T>;
export declare function sleep(ms: number): Promise<unknown>;
export declare function copy<T, K = UnwrapRef<T>>(target: T): K;
export declare function isDev(): boolean | undefined;
interface ThrowExceptionSettings {
    text: string;
    isInternal?: boolean;
    warn?: boolean;
}
export declare function getException({ text, isInternal, warn, }: ThrowExceptionSettings): YandexMapException;
export declare function throwException(settings: Omit<ThrowExceptionSettings, 'warn'> & {
    warn: true;
}): void;
export declare function throwException(settings: Omit<ThrowExceptionSettings, 'warn'> & {
    warn?: false;
}): never;
export declare function excludeKeys(item: Record<string, any>, ignoreKeys: string[]): void;
export {};
